ALTER TABLE `news` CHANGE `id` `Id` INT( 11 ) NOT NULL AUTO_INCREMENT ,
CHANGE `title` `Title` VARCHAR( 255 ) CHARACTER SET utf8 COLLATE utf8_czech_ci NOT NULL ,
CHANGE `content` `Content` TEXT CHARACTER SET utf8 COLLATE utf8_czech_ci NOT NULL ,
CHANGE `date` `Date` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
CHANGE `target_date` `TargetDate` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
CHANGE `author` `Author` VARCHAR( 32 ) CHARACTER SET utf8 COLLATE utf8_czech_ci NOT NULL ,
CHANGE `ip` `IP` VARCHAR( 16 ) CHARACTER SET utf8 COLLATE utf8_czech_ci NOT NULL ,
CHANGE `category` `Category` INT( 11 ) NOT NULL DEFAULT '0',
CHANGE `enclosure` `Enclosure` VARCHAR( 255 ) CHARACTER SET utf8 COLLATE utf8_czech_ci NOT NULL ,
CHANGE `User` `User` INT( 11 ) NOT NULL DEFAULT '0';

ALTER TABLE `news_category` CHANGE `id` `Id` INT( 11 ) NOT NULL AUTO_INCREMENT ,
CHANGE `caption` `Caption` VARCHAR( 255 ) CHARACTER SET utf8 COLLATE utf8_czech_ci NOT NULL ,
CHANGE `permission` `Permission` INT( 11 ) NOT NULL DEFAULT '0';

RENAME TABLE `news`  TO `News` ;

RENAME TABLE `news_category`  TO  `NewsCategory` ;
